<script src="../../../../assets/bundles/datatablescripts.bundle.js"></script>
<section class="content">
    <div class="block-header">
        <div class="row">
            <div class="col-lg-7 col-md-6 col-sm-12">
                <h2>NPS Audit</h2>

            </div>
            <div class="col-lg-5 col-md-6 col-sm-12">
                <ul class="breadcrumb float-md-right">
                    <li class="breadcrumb-item"><a ui-sref="test"><i class="zmdi zmdi-home"></i> Dashboard</a></li>
                    <li ng-if="!webhookId" class="breadcrumb-item active">NPS Audit</li>
                    <li ng-if="webhookId" class="breadcrumb-item active"><a ui-sref="nps-audit({webhookId:null})">NPS Audit</a></li>
                    <li ng-if="webhookId" class="breadcrumb-item active">History Log</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="container-fluid">
        <div class="row clearfix">
            <div class="col-md-12 col-lg-12">
                <div class="card">
                    <div class="body">
                        <p ng-if="webhooks.length == 0">You don't have any Mobi2go webhooks.</p>

                        <button ui-sref-active="active open" ui-sref="mobi2go" class="btn btn-raised btn-primary waves-effect btn-round tab-link">WEBHOOK</button>
                        <button ui-sref-active="active open" ui-sref="nps-audit" class="btn btn-raised btn-primary waves-effect btn-round tab-link" >AUDIT TABLE</button>
                    </div>
                </div>
            </div>
        </div>


        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="header" ng-if="webhookId">
                        <h2><strong>Location ID:</strong> {{locationId}} </h2>
                        <h2><strong>Name:</strong> {{companyName}} </h2>
                        <h2><strong>API Key:</strong> {{apiKey}} </h2>
                        <h2><strong>URL String:</strong> {{urlString}} </h2>
                    </div>
                    <div class="body">
                        <div class="table-responsive">

                            <table ng-if="!webhookId" id="statDataTable" class="table table-bordered table-striped table-hover dataTable">
                                <thead>
                                <tr >
                                    <th>Company Name</th>
                                    <th>Pending</th>
                                    <th>Pass</th>
                                    <th>Fail</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr ng-repeat="(companyName, val) in npsRecords">
                                    <td><a ui-sref="nps-audit({webhookId: val.records[0].webhook.id})">{{companyName}}</a></td>
                                    <td><a ui-sref="nps-audit({webhookId: val.records[0].webhook.id})">{{val.statuses.Pending ? val.statuses.Pending : 0}}</a></td>
                                    <td><a ui-sref="nps-audit({webhookId: val.records[0].webhook.id})">{{val.statuses.Passed ? val.statuses.Passed : 0}}</a></td>
                                    <td><a ui-sref="nps-audit({webhookId: val.records[0].webhook.id})">{{val.statuses.Failed ? val.statuses.Failed : 0}}</a></td>
                                </tr>
                                </tbody>
                            </table>
                            <table ng-if="webhookId" id="statDataTable" class="table table-bordered table-striped table-hover dataTable">
                                <thead>
                                <tr >
                                    <th>Date Created</th>
                                    <th>Date Confirmed</th>
                                    <th>Date Scheduled</th>
                                    <th>Cutomer Email</th>
                                    <th>Status</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr ng-repeat="log in npsLog[0].records">
                                    <td>{{log.created_at}}</td>
                                    <td>{{log.date_confirmed}}</td>
                                    <td>{{log.date_scheduled}}</td>
                                    <td>{{log.email}}</td>
                                    <td>{{log.status}} <span ng-if="log.status == 'Pending'"><button class="btn btn-raised btn-primary waves-effect btn-round tab-link" ng-click="manualPost(log.id)">Manual Post</button></span></td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Jquery Core Js -->
<!--<script src="assets/bundles/libscripts.bundle.js"></script> &lt;!&ndash; Lib Scripts Plugin Js &ndash;&gt;-->
<!--<script src="assets/bundles/vendorscripts.bundle.js"></script> &lt;!&ndash; Lib Scripts Plugin Js &ndash;&gt;-->


<!--<script src="assets/bundles/mainscripts.bundle.js"></script>&lt;!&ndash; Custom Js &ndash;&gt;-->
<!--<script src="assets/js/pages/ui/dialogs.js"></script>-->
<style>
    .dropdown-menu>li {
        display: block;
        padding: 7px 18px;
        color: #616161;
        -moz-transition: all 0.5s;
        -o-transition: all 0.5s;
        -webkit-transition: all 0.5s;
        transition: all 0.5s;
        font-size: 14px;
        line-height: 25px;
        cursor: pointer;
    }
    .dropdown-menu>li:hover {
        display: block;
        padding: 7px 18px;
        color: #ffffff;
        background-color: #17a2b8;
        -moz-transition: all 0.5s;
        -o-transition: all 0.5s;
        -webkit-transition: all 0.5s;
        transition: all 0.5s;
        font-size: 14px;
        line-height: 25px;
        cursor: pointer;
    }
    .tab-link:not(:disabled):not(.disabled) {
        cursor: pointer;
        background-color: #9E9E9E;
        border-color: #9E9E9E;
    }
    .tab-link:not(:disabled):not(.disabled).active, .show>.tab-link.dropdown-toggle {
        background-color: #49c5b6;
        border-color: #49c5b6;
    }
    .tab-link:not(:disabled):not(.disabled):active {
        background-color: #007bff;
        border-color: #007bff;
    }
    .spanlink {
        cursor:pointer;
        color:#ED5D3E;
    }
    h2:before {
        background: none !important;
    }

</style>
<script>
    setTimeout(function(){ $('#statDataTable').DataTable(); });
</script>